﻿package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;
	import flash.geom.Point;
	import flash.utils.setInterval;

	public class Liner extends Sprite
	{
		public var bool : Boolean = false;
		public var _ray : Number = 0 ;
		public var balls:Array
		public var pt:Point;
		public function Liner()
		{
			balls = new Array();
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			setInterval(buildScreen,2);
			setInterval(clickHandler,300);
			stage.addEventListener(MouseEvent.MOUSE_MOVE,moveMouse);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			balls = new Array();
		}
		private function moveMouse(e:MouseEvent):void
		{
			pt = new Point(e.stageX,e.stageY);
			bool = true;
			_ray = 1-(Math.random()*3);
		}
		private function clickHandler():void
		{
			//var pt:Point = new Point(mouseX,mouseY);
			if(pt != null){
				var obj:Object = {"posx":this.globalToLocal(pt).x,"posy":this.globalToLocal(pt).y,"angle":1,"rayon":(_ray),"centerY":this.globalToLocal(pt).y};
				balls.push(obj);
				balls.sortOn(["angle"],[Array.NUMERIC]);
			}
		}
		
		private function buildScreen():void
		{
			//if (bool == true){
				this.graphics.clear();
				for(var i:Number = 0;i<balls.length;i++){
					graphics.beginFill(0xff0000*balls[i].posx,1);
					graphics.drawCircle(balls[i].posx,balls[i].posy,8);
					graphics.endFill();
					graphics.lineStyle(3,0xff0000*balls[i].posx,2);
					//draw the lines
					if(i>0){
						graphics.moveTo(balls[i-1].posx,balls[i-1].posy);
						graphics.lineTo(balls[i].posx,balls[i].posy);
					}
					graphics.lineStyle();
					//set the new position
					balls[i].posx = balls[i].posx + Math.sin(balls[i].angle*Math.PI/180)*balls[i].rayon;
					balls[i].posy = balls[i].posy + Math.cos(balls[i].angle*Math.PI/180)*balls[i].rayon;
					balls[i].angle++;
				}
			//}
		}
	}
}